class KNOTEN extends LISTENELEMENT
{
	private LISTENELEMENT nachfolger;
	private DATENELEMENT daten;

	// Konstruktoren
	KNOTEN()
	{
		super();
		nachfolger = null;
		daten = null;
	}

	KNOTEN(LISTENELEMENT naechsterKnoten, DATENELEMENT datenObjekt)
	{
		super();
		nachfolger = naechsterKnoten;
		daten = datenObjekt;
	}

	// Getter- und Setter-Methoden
	void NachfolgerSetzen(LISTENELEMENT neuerNachfolger)
	{
		nachfolger = neuerNachfolger;
	}

	LISTENELEMENT NachfolgerGeben()
	{
		return nachfolger;
	}

	void Datensetzen(DATENELEMENT datenObjekt)
	{
		daten = datenObjekt;
	}

	DATENELEMENT DatenGeben()
	{
		return daten;
	}


	// weitere Methoden
	DATENELEMENT EndeGeben()
	{
		DATENELEMENT wert;

		wert = nachfolger.EndeGeben();
		if (wert == null)
			return daten;
		else
			return wert;
	}

	LISTENELEMENT EndeEinfuegen(DATENELEMENT datenObjekt)
	{
			nachfolger.EndeEinfuegen(datenObjekt);
			return this;
	}			

	int AnzahlAbHierGeben()
	{
			return nachfolger.AnzahlAbHierGeben() + 1;
	}

	void AlleAusgeben()
	{
		daten.Ausgeben();
		nachfolger.AlleAusgeben();
	}

}
