
/**
 * Stellt die speziellen Methoden f&uuml;r ein W&ouml;rterbuch zur Verf&uuml;gung.
 * 
 * @author Arbeitskreis
 * @version 1.0
 */
class WOERTERBUCH1 extends BAUM
{

    /**
     * keine speziellen Aufgaben
     */
    WOERTERBUCH1()
    {
        super ();
    }
    
    /**
     * Gibt die &Uuml;bersetzung des angegebenen Begriffs auf Konsole aus.
     * @param wort der zu &uuml;bersetzende Begriff
     */
    void Uebersetzen (String wort)
    {
        WORT daten;
        daten = (WORT) Suchen (new WORT (wort, ""));
        if (daten != null)
        {
            daten. Ausgeben ();
        }
        else
        {
            System. out. println ("Unbekanntes Wort: " + wort);
        }
    }
    
    /**
     * Gibt den gesamten Inhalt des Lexions auf Konsole aus.
     */
    void InhaltAusgeben ()
    {
        InOrder ();
    }
    
    /**
     * F&uuml;gt ein neues Wort in das W&ouml;rterbuch ein.
     * Der Wert darf noch nicht vorkommen
     * @param englisch der englische Begriff
     * @param deutsch die m&ouml;glichen deutschen &Uuml;bersetzungen
     */
    void Einfuegen (String englisch, String deutsch)
    {
        Einfuegen (new WORT (englisch, deutsch));
    }
}
