
/**
 * Write a description of class ANZEIGECOMPONENTE here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

class ANZEIGEKOMPONENTE extends JComponent
{
    private double [] kurse;
    private String aktienname;

    /**
     * Die Arbeit wird weiter oben erledigt.
     */
    ANZEIGEKOMPONENTE ()
    {
        super ();
        kurse = null;
    }
    
    /**
     * Setzt die Anzeigedaten
     * @param kurse die neuen Kurswerte
     * @param name Name der Aktie
     */
    void AnzeigeSetzen (double [] kurse, String name)
    {
        this. kurse = kurse;
        aktienname = name;
    }
    
    /**
     * Zeichenmethode f&uuml;r die Komponente
     * @param g das Grafikobjekt f&uuml;r die Zeichenoperationen
     */
    protected void paintComponent (Graphics g)
    {
        //Farbe der Diagrammfl&auml;che vorbelegen
        Color flaeche = new Color(200,200,255);
        //Koordinaten im Fenster
        int xNeu = 0;
        int yNeu = 0;
        int xAlt=0;
        int yAlt=0;
        double kursMin = 10000;     // minimaler Kurswert
        double kursMax = 0;         // maximaler Kurswert
        double kursAkt = 10;        // letzter (aktueller) Kurswert
        double deltaKurs = 0;
        int xCal = (int) 200 / KURSANZEIGE. kursAnzahl;
       
        for (int i = 0; i < kurse. length; i++)
        {
            if (kurse [i] < kursMin)
            {
                kursMin = kurse [i];
            }
            if (kurse [i] > kursMax)
            {
                kursMax = kurse [i];
            }   
        }
        
        // Falls Extremwerte identisch, dann w&auml;hle +/- 5%
        if (kursMin == kursMax)
        {
            kursMin = 0.95 * kursMin;
            kursMax = 1.05 * kursMax;
        }
        deltaKurs = kursMax-kursMin;
        kursMax = (int) (kursMax * 100 + 0.5) / 100.0;
        kursMin = (int) (kursMin * 100 + 0.5) / 100.0;
        kursAkt = (int) (kurse [kurse. length - 1] * 100 + 0.5)/100.0;
        
        // Zeichne Achsenkreuz auf farbigem Hintergrund
        setBackground (flaeche);
        g. drawLine (60, 185, 60, 25);
        g. drawLine (55, 180, 260, 180);
        for (int i = 0; i < kurse. length; i++)
        {
            g. drawLine (60 + xCal * i, 183, 60 + xCal * i, 180);
        }
        g. drawLine (55, 30, 60, 30);
        g. drawString ("" + kursMin, 10, 185);
        g. drawString ("" + kursMax, 10, 35);
        g. drawString ("heute", 240, 195);
        // Diagramm&uuml;berschrift
        g. drawString (aktienname, 80, 40);
        g.setColor(Color.blue);

        // Linie f&uuml;r Kursverlauf Ziehen              
        for (int i = 0; i < kurse. length; i++)
        {
            // Skalieren und Runden auf Integer
            int y = (int) (150 / deltaKurs * (kurse [i] - kursMin));
            yNeu = 180 - y;
            xNeu = 70 + xCal * i;
            g. setColor (Color.blue);
            g. drawOval (xNeu - 2, yNeu - 2,4,4);
            g. setColor (Color. red);
            if (i != 0)
            {
                g. drawLine (xAlt, yAlt, xNeu, yNeu);
            } 
            // Merken der letzten Koordinaten
            yAlt=yNeu;
            xAlt=xNeu;
        }
        // Aktuellen Kurs markieren
        g. setColor (Color.blue);
        g. drawString ("" + kursAkt, 260, yNeu + 5); 
        g. drawLine (60, yNeu, 255, yNeu);         
    }
}
