
/**
 * Beschreibt die Struktur eines Girokontos eines Kunden
 * Momentan hat ein Kunde nur genau ein Konto, "kontoId"
 * wird daher nicht genutzt.
 * Abpr&uuml;fungen wegen &Uuml;berziehung werden nicht gemacht.
 * 
 * @author 
 * @version 1.0
 */

class KONTO
{
    private int kontoID;
    private double kontoStand;

    /**
     * Initialisiert die Attribute
     */
    KONTO (int nummer)
    {
        kontoID = nummer;
        kontoStand = 100000;
    }

    /**
     * Abheben eines bestimmten Betrages
     * @param betrag der abzuhebende Betrag
     */
    void Abheben (double betrag)
    {
        kontoStand -= betrag;
    }
   
    /**
     * Einzahlen eines bestimmten Betrages
     * @param betrag der einzuzahlende Betrag
     */
    void Einzahlen (double betrag)
    {
        kontoStand += betrag;
    } 
        
    /**
     * Kontostand auslesen
     * @return der aktuelle Kontostand
     */
    double KontoStandGeben ()
    {
        return kontoStand;
    }  
        
    /**
     * Nummer des Kontos melden
     * @return die Kontonummer
     */
    int KontoNummerGeben ()
    {
        return kontoID;
    }  
}
