
/**
 * Beschreibt ein allgemeines Element des Baums.
 * 
 * @author ISB-Arbeitskreis
 * @version 1.0
 */
abstract class BAUMELEMENT
{

    /**
     * Der Konstruktor ist aus Dokumentationsgr&uuml;nden vorhanden
     */
    BAUMELEMENT()
    {
        // keine spezielle Aufgabe
    }

     /**
     * ...
     * @param wert Referenz auf die Wurzel des einzufuegenden Baumes
     */
    abstract void LinksEinfuegen (BAUM b);
    abstract void RechtsEinfuegen (BAUM b);
    
    /**
     * Durchl&auml;ft den Baum in Preorder
     */
    abstract void PreOrder ();
    
    /**
     * Durchl&auml;ft den Baum in Inorder
     */
    abstract void InOrder ();
    
    /**
     * Durchl&auml;ft den Baum in Postorder
     */
    abstract void PostOrder ();

    
    
   
}
