class KNOTEN
{
	private KNOTEN nachfolger;
	private String name;
	private String vorname;

	// Konstruktoren
	KNOTEN()
	{
		nachfolger = null;
		name = "";
		vorname = "";
	}

	KNOTEN(KNOTEN naechsterKnoten, String neuerName, String neuerVorname)
	{
		nachfolger = naechsterKnoten;
		name = neuerName;
		vorname = neuerVorname;
	}


	// Getter- und Setter-Methoden
	void NachfolgerSetzen(KNOTEN neuerNachfolger)
	{
		nachfolger = neuerNachfolger;
	}

	KNOTEN NachfolgerGeben()
	{
		return nachfolger;
	}

	void NameSetzen(String neuerName)
	{
		name = neuerName;
	}

	void VornameSetzen(String neuerVorname)
	{
		vorname = neuerVorname;
	}

	String NameGeben()
	{
		return name;
	}

	String VornameGeben()
	{
		return vorname;
	}

	String NameVornameGeben()
	{
		return name + ", " + vorname;
	}

	
	// weitere Methoden
	String EndeGeben()
	{
		if (nachfolger == null)
			return NameVornameGeben();
		else
			return nachfolger.EndeGeben();
	}

	void EndeEinfuegen(String neuerName, String neuerVorname)
	{
		if (nachfolger == null)
			nachfolger = new KNOTEN(null, neuerName, neuerVorname);
		else
			nachfolger.EndeEinfuegen(neuerName, neuerVorname);
	}			

	int AnzahlGeben()
	{
		if (nachfolger == null)
			return 1;
		else
			return nachfolger.AnzahlGeben() + 1;
	}

	void AlleAusgeben()
	{
		System.out.println("Kunde: " + name + ", " + vorname);
		if (nachfolger != null)
			nachfolger.AlleAusgeben();
	}

}
